%define upstream_name    Convert-ASN1
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    ASN.1 Encode/Decode library for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/GBARR/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fa1b9f9353abbf56490b5c144f743dd29df0afaf.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.330.0-2.mga9
+ Revision: 1815024
- Mageia 9 Mass Rebuild

* Mon Sep 27 2021 tv <tv> 0.330.0-1.mga9
+ Revision: 1746615
- update to 0.33

* Sun Jun 06 2021 tv <tv> 0.310.0-1.mga9
+ Revision: 1729865
- update to 0.31

* Wed May 26 2021 tv <tv> 0.290.0-1.mga9
+ Revision: 1728294
- update to 0.29

* Sun Dec 27 2020 neoclust <neoclust> 0.270.0-8.mga8
+ Revision: 1664200
- Add P0, fixes CVE-2013-7488 (mga#27710)

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-7.mga8
+ Revision: 1493590
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.270.0-6.mga7
+ Revision: 1266679
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-5.mga6
+ Revision: 1024330
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.270.0-4.mga6
+ Revision: 943933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-3.mga5
+ Revision: 743561
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-2.mga5
+ Revision: 684011
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.270.0-1.mga5
+ Revision: 639945
- update to 0.27

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 510321
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 364757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.260.0-1.mga3
+ Revision: 261498
- update to 0.26

* Sat Jun 09 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 258806
- update to 0.25

* Wed Jun 06 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 256099
- update to 0.24

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 29387
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.220.0-1.mga1
+ Revision: 20824
- removed buildroot definition from .spec
+ jquelin <jquelin>
- imported package perl-Convert-ASN1


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.1
+ Revision: 409022
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 292034
- update to new version 0.22

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.21-2mdv2009.0
+ Revision: 223576
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.21-1mdv2008.1
+ Revision: 136693
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdv2008.0
+ Revision: 19816
- 0.21


* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Mon Jun 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.19-2mdk
- rebuild for new Perl

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.18-1mdk
- 0.18

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.16-4mdk
- rebuild for new perl
- don't use PREFIX
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- rebuild for auto{req,prov}

